<div class="animated fadeIn">
    <div class="card" style="padding: 0.2rem">

        <div class="card-header bg-gray-200 text-primary d-flex justify-content-between">
            <div>
                <i class="fa fa-users" aria-hidden="true"></i>
                {{TITLE}}
            </div>
            <button class="btn btn-sm rounded btn-outline-primary p-2 bd-highlight" [disabled]="createStatus"
                    (click)="openModal(createProfile)">
                <i class="fa fa-plus"></i> Agregar Perfil
            </button>
        </div>

        <div class="card-body mt-4 p-0">

            <div class="row justify-content-center align-items-center text-primary">

                <div class="col-12 col-md-6 col-lg-3">
                    <div class="form-group">
                        <label class="col-form-label">Listas:</label>
                        <div class="controls">
                            <div class="input-prepend input-group">
                                <div class="input-group-prepend">
                                    <span class="input-group-text"><i class="fa fa-bars text-primary"></i></span>
                                </div>
                                <select [(ngModel)]="valueList" (change)="onChange()" class="form-control">
                                    <option *ngFor="let lc of listCatalog"
                                            value="{{ lc.id }}">{{ lc.nombre }}</option>
                                </select>
                            </div>
                        </div>
                    </div>
                </div>

                <div class="col-12 col-md-6 col-lg-3">
                    <button class="btn bg-primary rounded" (click)="selectList()">
                        <i class="fa fa-check"></i> Seleccionar
                    </button>
                </div>

            </div>
            <br>
            <table datatable [dtOptions]="dtOptions" [dtTrigger]="dtTrigger" class="row-border hover">
                <thead class="bg-primary">
                <tr>
                    <th scope="col">Perfil</th>
                    <th scope="col" class="text-center">Acceso</th>
                    <th scope="col" class="text-center">Visualización</th>
                    <th scope="col" class="text-center">Descarga</th>
                    <th scope="col" class="text-center">Mostrar Responsable</th>
                    <th scope="col" class="text-center">Acciones</th>
                </tr>
                </thead>
                <tbody>
                <tr *ngFor="let prof of this.profile.perfiles">
                    <td>{{ prof.rol.nombre }}</td>
                    <td *ngIf="prof.acceso === 'Ninguno'" class="text-center">NINGUNO</td>
                    <td *ngIf="prof.acceso === 'Consulta'" class="text-center">CONSULTA</td>
                    <td *ngIf="prof.acceso === 'Edicion'" class="text-center">EDICION</td>
                    <td *ngIf="prof.visualizar === 'Vigente'" class="text-center">VIGENTE</td>
                    <td *ngIf="prof.visualizar === 'Historico'" class="text-center">HISTORICO</td>
                    <td *ngIf="prof.descargar === true" class="text-center">SI</td>
                    <td *ngIf="prof.descargar === false" class="text-center">NO</td>
                    <td *ngIf="prof.responsable === true" class="text-center">SI</td>
                    <td *ngIf="prof.responsable === false" class="text-center">NO</td>
                    <td class="text-center">
                        <i class="fa fa-pencil-square-o text-info fa-2x" aria-hidden="true"
                           (click)="editFieldsList(editProfile, prof)" style="cursor: pointer" title="Editar Perfil"></i>
                    </td>
                </tr>
                </tbody>
            </table>
            <br>
        </div>
    </div>
</div>

<ng-template #createProfile>

    <div class="modal-content">
        <div class="modal-header">
            <h5 class="modal-title">Agregar Perfil</h5>
            <button type="button" class="close text-white" data-dismiss="modal" aria-label="Close"
                    (click)="closeModal()" style="outline: none">
                <span aria-hidden="true">&times;</span>
            </button>
        </div>
        <form [formGroup]="addProfileForm" (ngSubmit)="addProfileToList()">
            <div class="modal-body">
                <p class="text-center">Ingrese la información para configuración de perfil</p>

                <div class="row justify-content-center">
                    <div class="col-12 col-md-4 col-lg-4">
                        <div class="form-group">
                            <label class="col-form-label">Lista de Perfiles:</label>
                            <div class="controls">
                                <div class="input-prepend input-group">
                                    <div class="input-group-prepend">
                                        <span class="input-group-text"><i class="fa fa-pencil text-primary"></i></span>
                                    </div>
                                    <select formControlName="profileField" class="form-control">
                                        <option *ngFor="let role of listRoles" selected
                                                value="{{ role.id }}">{{ role.nombre }}</option>
                                    </select>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="col-12 col-md-4 col-lg-4">
                        <div class="form-group">
                            <label class="col-form-label">Acceso:</label>
                            <div class="controls">
                                <div class="input-prepend input-group">
                                    <div class="input-group-prepend">
                                        <span class="input-group-text"><i class="fa fa-pencil text-primary"></i></span>
                                    </div>
                                    <select formControlName="accessField" class="form-control">
                                        <option selected value="Ninguno">NINGUNO</option>
                                        <option selected value="Consulta">CONSULTA</option>
                                        <option selected value="Edicion">EDICION</option>
                                    </select>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="col-12 col-md-4 col-lg-4">
                        <div class="form-group">
                            <label class="col-form-label">Visualización:</label>
                            <div class="controls">
                                <div class="input-prepend input-group">
                                    <div class="input-group-prepend">
                                        <span class="input-group-text"><i class="fa fa-pencil text-primary"></i></span>
                                    </div>
                                    <select formControlName="viewField" class="form-control">
                                        <option selected value="Vigente">VIGENTE</option>
                                        <option selected value="Historico">HISTORICO</option>
                                    </select>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="col-12 col-md-4 col-lg-4">
                        <div class="form-group">
                            <label class="col-form-label">Descarga:</label>
                            <div class="controls">
                                <div class="input-prepend input-group">
                                    <div class="input-group-prepend">
                                        <span class="input-group-text"><i class="fa fa-pencil text-primary"></i></span>
                                    </div>
                                    <select formControlName="downloadField" class="form-control">
                                        <option selected value="true">SI</option>
                                        <option selected value="false">NO</option>
                                    </select>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="col-12 col-md-4 col-lg-4">
                        <div class="form-group">
                            <label class="col-form-label">Mostrar Responsable:</label>
                            <div class="controls">
                                <div class="input-prepend input-group">
                                    <div class="input-group-prepend">
                                        <span class="input-group-text"><i class="fa fa-pencil text-primary"></i></span>
                                    </div>
                                    <select formControlName="managerField" class="form-control">
                                        <option selected value="true">SI</option>
                                        <option selected value="false">NO</option>
                                    </select>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <br>
                <div class="row justify-content-center">
                    <div class="col-12 col-md-6 col-lg-6">
                        <table class="table table-sm row-border hover">
                            <thead>
                            <tr>
                                <th>Campo de Lista</th>
                                <th>Predeterminado</th>
                                <th class="text-center">Visualizar</th>
                            </tr>
                            </thead>
                            <tbody>
                            <tr *ngFor="let item of fieldsProf">
                                <td>{{ item.label }}</td>
                                <td class="text-center" *ngIf="item.predet === true ">SI</td>
                                <td class="text-center" *ngIf="item.predet === false ">NO</td>
                                <td class="text-center">
                                    <select [disabled]="item.predet" (change)="setValueField(item.index, $event)">
                                        <option value="true">Si</option>
                                        <option value="false">No</option>
                                    </select>
                                </td>
                            </tr>
                            </tbody>
                        </table>
                    </div>
                </div>
                <br>
            </div>
            <div class="modal-footer">
                <button type="submit" class="btn btn-sm btn-primary rounded"><i class="fa fa-plus"
                                                                                aria-hidden="true"></i>
                    Agregar
                </button>
                <button type="button" class="btn btn-sm btn-danger rounded" data-dismiss="modal" (click)="closeModal()">
                    <i class="fa fa-close" aria-hidden="true"></i> Cerrar
                </button>
            </div>
        </form>
    </div>

</ng-template>

<ng-template #editProfile>

    <div class="modal-content">
        <div class="modal-header">
            <h5 class="modal-title">Editar Perfil</h5>
            <button type="button" class="close text-white" data-dismiss="modal" aria-label="Close"
                    (click)="closeModal()" style="outline: none">
                <span aria-hidden="true">&times;</span>
            </button>
        </div>
        <form [formGroup]="editProfileForm" (ngSubmit)="editProfileToList()">
            <div class="modal-body">
                <p class="text-center">Ingrese la información para configuración de perfil</p>

                <div class="row justify-content-center">
                    <div class="col-12 col-md-4 col-lg-4">
                        <div class="form-group">
                            <label class="col-form-label">Lista de Perfiles:</label>
                            <div class="controls">
                                <div class="input-prepend input-group">
                                    <div class="input-group-prepend">
                                        <span class="input-group-text"><i class="fa fa-pencil text-primary"></i></span>
                                    </div>
                                    <input formControlName="profileEditField" class="form-control" [disabled]="true">
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="col-12 col-md-4 col-lg-4">
                        <div class="form-group">
                            <label class="col-form-label">Acceso:</label>
                            <div class="controls">
                                <div class="input-prepend input-group">
                                    <div class="input-group-prepend">
                                        <span class="input-group-text"><i class="fa fa-pencil text-primary"></i></span>
                                    </div>
                                    <select formControlName="accessEditField" class="form-control">
                                        <option selected value="Ninguno">NINGUNO</option>
                                        <option selected value="Consulta">CONSULTA</option>
                                        <option selected value="Edicion">EDICION</option>
                                    </select>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="col-12 col-md-4 col-lg-4">
                        <div class="form-group">
                            <label class="col-form-label">Visualización:</label>
                            <div class="controls">
                                <div class="input-prepend input-group">
                                    <div class="input-group-prepend">
                                        <span class="input-group-text"><i class="fa fa-pencil text-primary"></i></span>
                                    </div>
                                    <select formControlName="viewEditField" class="form-control">
                                        <option selected value="Vigente">VIGENTE</option>
                                        <option selected value="Historico">HISTORICO</option>
                                    </select>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="col-12 col-md-4 col-lg-4">
                        <div class="form-group">
                            <label class="col-form-label">Descarga:</label>
                            <div class="controls">
                                <div class="input-prepend input-group">
                                    <div class="input-group-prepend">
                                        <span class="input-group-text"><i class="fa fa-pencil text-primary"></i></span>
                                    </div>
                                    <select formControlName="downloadEditField" class="form-control">
                                        <option selected value="true">SI</option>
                                        <option selected value="false">NO</option>
                                    </select>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="col-12 col-md-4 col-lg-4">
                        <div class="form-group">
                            <label class="col-form-label">Mostrar Responsable:</label>
                            <div class="controls">
                                <div class="input-prepend input-group">
                                    <div class="input-group-prepend">
                                        <span class="input-group-text"><i class="fa fa-pencil text-primary"></i></span>
                                    </div>
                                    <select formControlName="managerEditField" class="form-control">
                                        <option selected value="true">SI</option>
                                        <option selected value="false">NO</option>
                                    </select>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <br>
                <div class="row justify-content-center">
                    <div class="col-12 col-md-6 col-lg-6">
                        <table class="table table-sm row-border hover">
                            <thead>
                            <tr>
                                <th>Campo de Lista</th>
                                <th>Predeterminado</th>
                                <th class="text-center">Visualizar</th>
                            </tr>
                            </thead>
                            <tbody>
                            <tr *ngFor="let item of fieldsProf">
                                <td>{{ item.label }}</td>
                                <td class="text-center" *ngIf="item.predet === true ">SI</td>
                                <td class="text-center" *ngIf="item.predet === false ">NO</td>
                                <td class="text-center">
                                    <select [disabled]="item.predet" [value]="item.value" (change)="setValueFieldEdit(item.index, $event)">
                                        <option value="true">Si</option>
                                        <option value="false">No</option>
                                    </select>
                                </td>
                            </tr>
                            </tbody>
                        </table>
                    </div>
                </div>
                <br>
            </div>
            <div class="modal-footer">
                <button type="submit" class="btn btn-sm btn-primary rounded"><i class="fa fa-plus"
                                                                                aria-hidden="true"></i>
                    Actualizar
                </button>
                <button type="button" class="btn btn-sm btn-danger rounded" data-dismiss="modal" (click)="closeModal()">
                    <i class="fa fa-close" aria-hidden="true"></i> Cerrar
                </button>
            </div>
        </form>
    </div>

</ng-template>

